Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1516562

Summary: Crazy dependency on kde-filesystem
Product: [Fedora] Fedora Reporter: Eric <kelk1>
Component: kde-filesystemAssignee: Rex Dieter <rdieter>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: jreznik, kde-sig, rdieter, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-27 14:16:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric 2017-11-22 22:44:18 UTC
Description of problem: 

I don't have KDE, so why is kf5-kio-core installed? I tried to remove it, but it  would also remove completely irrelevant components like mariadb, armadillo, lapack, blas, opencv, ffmpeg, vlc, sox, etc.

Version-Release number of selected component (if applicable):

kde-filesystem-4-57.fc27.x86_64

How reproducible:

Always.

Steps to Reproduce:

1. dnf remove kde-filesystem

Actual results:

A slew of non related removals.

Expected results:

Just remove KDE components.

Comment 1 Rex Dieter 2017-11-27 14:16:27 UTC
Not enough evidence of any crazy here.

I do know vlc depends on it though (for good reason).

Comment 2 Eric 2017-11-29 18:48:20 UTC
Why would lapack depend on KDE!? That is insane.

Comment 3 Rex Dieter 2017-11-29 19:16:32 UTC
lapack doesn't depend on kde

Comment 4 Rex Dieter 2017-11-29 19:17:17 UTC
$ rpm -qR lapack
/sbin/ldconfig
/sbin/ldconfig
blas(x86-64) = 3.7.1-5.fc27
libblas.so.3()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libgfortran.so.4()(64bit)
libgfortran.so.4(GFORTRAN_7)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)